cURL
curl --request PATCH \
--url https://api.unifygtm.com/tasks/v1/tasks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"assigned_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.unifygtm.com/tasks/v1/tasks/{id}"
payload = {
"assigned_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_at": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assigned_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
due_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.unifygtm.com/tasks/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"due_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"note_content": "<string>"
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "forbidden",
"message": "<string>"
}{
"status": "not_found",
"message": "<string>"
}{
"status": "conflict",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Tasks API
Update task
Update a task’s assignee, priority, or due date.
PATCH
/
tasks
/
{id}
cURL
Authorizations
Path Parameters
Body
application/json
⌘I